<?xml version="1.0"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>

<!DOCTYPE overlay SYSTEM "chrome://gproxy/locale/locale.dtd" >

<overlay id="gproxyOverlay"
			title="GProxy Overlay"
			xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
	
	<script type="application/x-javascript" src="chrome://gproxy/content/globals.js"></script>
	<script type="application/x-javascript" src="chrome://gproxy/content/datasource.js"></script>
	<script type="application/x-javascript" src="chrome://gproxy/content/tabmanager.js"></script>
	<script type="application/x-javascript" src="chrome://gproxy/content/proxy.js"></script>
	<script language="JavaScript">
		//Window Event Handers
		try{window.addEventListener("load", gproxy_initProxy, true);}catch(e){}
		//try{window.addEventListener("focus", gproxy_tab_windowFocus, true);}catch(e){}
	</script>
	
	<!-- Statusbar  -->
	<statusbar id="status-bar" class="chromeclass-status">
	    <statusbarpanel id="gproxy-status"
						insertbefore="statusbar-updates"
						label="" collapsed="false"
						context="gproxy-element-list"
						tooltiptext="&common.product.name;" />
	    <statusbarpanel id="gproxy-status-image"
						insertbefore="gproxy-status"
						class="statusbarpanel-menu-iconic"
						src="chrome://gproxy/content/icons/gproxy.png"
						context="gproxy-element-list"
						popup="gproxy-element-list"
						tooltiptext="&common.product.name;" />
	</statusbar>
	
	<!-- Popups -->
	<popupset id="ContextMenus">
		<popup id="gproxy-element-list" position="end_before">
			<menuitem label="&common.none;" type="checkbox" checked="true" oncommand="gproxy_queueSetProxy(this);" class="proxy-menu-item"/>				
			<menuseparator id="gproxy-element-list-separator" />
			<menuitem label="&common.manage.label;" accesskey="&common.manage.key;" oncommand="gproxy_openProxyManager();" />
			<menuseparator />
			<menuitem label="&common.preferences.label;" accesskey="&common.preferences.key;" oncommand="gproxy_opengproxyPrefs();" />

			<menuitem label="&common.about.label;" accesskey="&common.about.key;" oncommand="gproxy_goTogproxyAbout()" />
		</popup>
	</popupset>
	
	<!-- Tools Menu -->
	<menupopup id="taskPopup">
		<menu id="gproxy-tools-menu" label="&common.product.name;"
				accesskey="P" class="menuitem-iconic"
				insertafter="devToolsSeparator">
			<menupopup id="gproxy-menu-list" position="after_start">
				<menuitem label="&common.none;" type="checkbox" checked="true" oncommand="gproxy_queueSetProxy(this);" class="proxy-menu-item"/>				
				<menuseparator id="gproxy-menu-list-separator" />
				<menuitem label="&common.manage.label;" accesskey="&common.manage.key;" oncommand="gproxy_openProxyManager();" />
				<menuseparator />
				<menuitem label="&common.preferences.label;" accesskey="&common.preferences.key;" oncommand="gproxy_opengproxyPrefs();" />

				<menuitem label="&common.about.label;" accesskey="&common.about.key;" oncommand="gproxy_goTogproxyAbout()" />
			</menupopup>
		</menu>
	</menupopup>
</overlay>